# Uses of Interface
org.eclipse.birt.report.model.api.simpleapi.IAction

Packages that use IAction
Package
Description
org.eclipse.birt.report.model.api.impl
org.eclipse.birt.report.model.api.simpleapi
Report element representations in the BIRT simple API environment.

## Uses of IAction in org.eclipse.birt.report.model.api.impl

Methods in org.eclipse.birt.report.model.api.impl that return IAction
Modifier and Type
Method
Description
`IAction`
SimpleElementFactory.`createAction()`
`IAction`
SimpleElementFactory.`createAction(ActionHandle action, ReportItemHandle handle)`

## Uses of IAction in org.eclipse.birt.report.model.api.simpleapi

Methods in org.eclipse.birt.report.model.api.simpleapi that return IAction
Modifier and Type
Method
Description
`IAction`
IReportDesign.`createAction()`
Creates the action structure.
`IAction`
ISimpleElementFactory.`createAction()`
Create the action structure.
`IAction`
ISimpleElementFactory.`createAction(ActionHandle action, ReportItemHandle handle)`
Creates the action structure.
`IAction`
IDataItem.`getAction()`
Returns a handle to work with the action property, action is a structure that defines a hyperlink.
`IAction`
IImage.`getAction()`
Returns a handle to work with the action property, action is a structure that defines a hyperlink.
`IAction`
ILabel.`getAction()`
Returns a handle to work with the action property, action is a structure that defines a hyperlink.
Methods in org.eclipse.birt.report.model.api.simpleapi with parameters of type IAction
Modifier and Type
Method
Description
`void`
IDataItem.`addAction(IAction action)`
Add the action structure to this Data item.
`void`
IImage.`addAction(IAction action)`
Add the action structure to this Image item.
`void`
ILabel.`addAction(IAction action)`
Add the action structure to this Label item.